Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.World
Class WorldStructure

    java.lang.Object
      SEdit.Structure
          SEdit.Formalisms.World.WorldStructure

All Implemented Interfaces:
  java.lang.Runnable

    public class WorldStructure

extends Structure
implements java.lang.Runnable

A Structure which acts both as an environment and as a scheduler specialized in managing worlds..

Version:
  0.1
Author:
  Jacques Ferber

Field Summary
`boolean` | `execute`
`protected boolean` | `running`
`boolean` | `showIteration`
`protected java.awt.Rectangle` | `worldDimension`

Fields inherited from class SEdit.Structure
`agent, arrowList, description, displayGrid, editor, formalism, gridSize, modified, nodeList, snapToGrid`

Constructor Summary
`WorldStructure()`

Method Summary
`java.util.Vector` | `detectEntities(WorldEntity w, java.awt.Point p, int r)`
`void` | `drawBackground(java.awt.Graphics g)` draw the background.
`void` | `end()` Close the structure by deleting all entities before closing.
`int` | `getDelay()`
`java.util.Vector` | `getEntities()`
`boolean` | `getExecute()`
`boolean` | `getShowIteration()`
`java.awt.Rectangle` | `getWorldDimension()`
`int` | `getWorldHeight()`
`int` | `getWorldWidth()`
`boolean` | `isRunning()`
`void` | `modifyDelay()`
`void` | `println(java.lang.String s)`
`void` | `run()`
`void` | `runEntities()`
`void` | `runEnvironment()`
`void` | `setDelay(int n)`
`void` | `setExecute(boolean b)`
`static void` | `setGroupTypeName(java.lang.String s)`
`void` | `setShowIteration(boolean b)`
`void` | `setWorldDimension(int x, int y, int w, int h)`
`void` | `setWorldDimension(java.awt.Rectangle d)`
`void` | `setWorldHeight(int v)`
`void` | `setWorldWidth(int v)`
`void` | `start()`
`void` | `step()`
`void` | `stop()`

Methods inherited from class SEdit.Structure
`activate, addArrow, addArrow, addNode, addNode, clearAll, createNode, deleteAll, dump, existID, getAgent, getArrow, getArrowFromLabel, getArrows, getDescription, getDisplayGrid, getEditor, getFormalism, getGridSize, getNode, getNodeFromLabel, getNodes, getSnapToGrid, initStructure, isConnectable, newArrowID, newNodeID, preactivate, removeArrow, removeNode, setAgent, setDescription, setDisplayGrid, setEditor, setFormalism, setGridSize, setSnapToGrid, setSnapToGrid1, toggleShowGrid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### running

    protected boolean running

### execute

    public boolean execute

### showIteration

    public boolean showIteration

### worldDimension

    protected java.awt.Rectangle worldDimension

Constructor Detail

### WorldStructure

    public WorldStructure()

Method Detail

### getEntities

    public java.util.Vector getEntities()

### setGroupTypeName

    public static void setGroupTypeName(java.lang.String s)

### setDelay

    public void setDelay(int n)

### getDelay

    public int getDelay()

### setExecute

    public void setExecute(boolean b)

### getExecute

    public boolean getExecute()

### setShowIteration

    public void setShowIteration(boolean b)

### getShowIteration

    public boolean getShowIteration()

### getWorldDimension

    public java.awt.Rectangle getWorldDimension()

### setWorldDimension

    public void setWorldDimension(java.awt.Rectangle d)

### setWorldDimension

    public void setWorldDimension(int x,
                                  int y,
                                  int w,
                                  int h)

### setWorldWidth

    public void setWorldWidth(int v)

### getWorldWidth

    public int getWorldWidth()

### setWorldHeight

    public void setWorldHeight(int v)

### getWorldHeight

    public int getWorldHeight()

### println

    public void println(java.lang.String s)

### drawBackground

    public void drawBackground(java.awt.Graphics g)

  Description copied from class: `Structure`
  draw the background. Does nothing in Structure. May be overridden by subclasses.

  Overrides:
    `drawBackground` in class `Structure`

### detectEntities

    public java.util.Vector detectEntities(WorldEntity w,
                                           java.awt.Point p,
                                           int r)

### end

    public void end()

  Close the structure by deleting all entities before closing. Is used to delete all agents that are related to entities

  Overrides:
    `end` in class `Structure`

### isRunning

    public boolean isRunning()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### runEnvironment

    public void runEnvironment()

### runEntities

    public void runEntities()

### start

    public void start()

### stop

    public void stop()

### step

    public void step()

### modifyDelay

    public void modifyDelay()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.